<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Plugin interface</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.73.2">
<link rel="start" href="index.html" title="libg3d Reference Manual">
<link rel="up" href="index.html" title="libg3d Reference Manual">
<link rel="prev" href="libg3d-texture.html" title="texture">
<link rel="next" href="libg3d-plugins.html" title="plugins">
<meta name="generator" content="GTK-Doc V1.10 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
<link rel="chapter" href="ch01.html" title="Application interface">
<link rel="chapter" href="ch02.html" title="Plugin interface">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2"><tr valign="middle">
<td><a accesskey="p" href="libg3d-texture.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
<td> </td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
<th width="100%" align="center">libg3d Reference Manual</th>
<td><a accesskey="n" href="libg3d-plugins.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
</tr></table>
<div class="chapter" lang="en">
<div class="titlepage"><div><div><h2 class="title">
<a name="id2501204"></a>Plugin interface</h2></div></div></div>
<div class="toc"><dl>
<dt>
<span class="refentrytitle"><a href="libg3d-plugins.html">plugins</a></span><span class="refpurpose"> — G3DPlugin interface</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libg3d-stream.html">stream</a></span><span class="refpurpose"> — I/O abstraction layer for plugins</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libg3d-iff.html">iff</a></span><span class="refpurpose"> — IFF file helper functions</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libg3d-read.html">read</a></span><span class="refpurpose"> — file reading abstraction (deprecated)</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libg3d-primitive.html">primitive</a></span><span class="refpurpose"> — 3D primitive generation functions</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libg3d-matrix.html">matrix</a></span><span class="refpurpose"> — Matrix manipulation and calculation</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libg3d-vector.html">vector</a></span><span class="refpurpose"> — Vector manipulation and calculation</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libg3d-quat.html">quat</a></span><span class="refpurpose"> — quaternion helpers</span>
</dt>
</dl></div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.10</div>
</body>
</html>
